Bug Hunting Session
Bug 99362 - Frame and image with no wrapping appearing as if they are floating in 2007 DOCX
Summary: Frame and image with no wrapping appearing as if they are floating in 2007 DOCX
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.7.2 release
Hardware: All All
: low normal
Assignee: Not Assigned
URL:
Whiteboard: interoperability
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOCX-Frames DOCX-Images DOCX-Anchor-and-Text-Wrap
  Show dependency treegraph
 
Reported: 2016-04-17 14:48 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-10-11 02:35 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
sample (210.64 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2016-04-17 14:48 UTC, Yousuf Philips (jay) (retired)
Details
w/frame (482.76 KB, image/jpeg)
2016-04-17 15:31 UTC, Call_me_Tom
Details
w/o frame (477.32 KB, image/jpeg)
2016-04-17 15:32 UTC, Call_me_Tom
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-04-17 14:48:50 UTC
Created attachment 124432 [details]
sample

Steps:
1) open attached file
2) scroll to page 3 and notice the floating frame around the image
3) select and delete the frame and notice that image is floating
4) select and delete the image
5) undo and notice that the image is now correctly non-wrapped
6) undo and notice that the frame is now correctly non-wrapped

Regression as this doesnt happen in 4.2.8.2.

Version: 5.2.0.0.alpha0+
Build ID: 92d7fef02574051826e46a3a7e3d33a1afa062d7
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-04-14_03:19:54
Locale: en-US (en_US.UTF-8)
Comment 1 Call_me_Tom 2016-04-17 15:31:08 UTC
I'm unable to replicate. See attached screens shots and let me know if that is the issue you're experiencing.

Version: 5.2.0.0.alpha0+
Build ID: b87c4d8a7539c6b36250adc5626f13458a4c3016
CPU Threads: 4; OS Version: Mac OS X 10.11.4; UI Render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2016-04-06_06:14:15
Locale: en-US (en.UTF-8)
Comment 2 Call_me_Tom 2016-04-17 15:31:54 UTC
Created attachment 124433 [details]
w/frame
Comment 3 Call_me_Tom 2016-04-17 15:32:22 UTC
Created attachment 124434 [details]
w/o frame
Comment 4 V Stuart Foote 2016-04-17 19:29:40 UTC
@Jay, *

On Windows 10 Pro 64-bit en-US with
Version: 5.1.2.2 (x64)
Build ID: d3bf12ecb743fc0d20e0be0c58ca359301eb705f
CPU Threads: 8; OS Version: Windows 6.19; UI Render: default; 
Locale: en-US (en_US)

what I notice is on filter import opening the anchor for the image on page 3 is positioned outside margins and off the canvas! That is not good.

To see, open and before any changes, adjust the zoom. Then scroll to page 3.

Select the image. 

Check its format, it shows as anchored to character--but the anchor is off the canvas. Simply move the anchor for the image, anchor jumps into the margins. Change the anchor to paragraph.

So, suspect an issue with ww8 filter import, or possibly original source of the .docx document.
Comment 5 raal 2016-04-18 15:15:20 UTC
confirm.
Version: 5.2.0.0.alpha0+; win7
problem is in anchor, comment 4.
Comment 6 Xisco Faulí 2016-08-31 11:10:40 UTC
Regression introduced in range 2932d2db599c09ecce3faa2d627e9ee4f251183a..393c51cee8bc3de5a2a9f4e04161c59e8712f631
Comment 7 Yousuf Philips (jay) (retired) 2016-08-31 15:47:17 UTC
(In reply to V Stuart Foote from comment #4)
> So, suspect an issue with ww8 filter import, or possibly original source of
> the .docx document.

Checked the file in Word 2010 and both the frame and image were set to 'top and bottom' wrapping. The frame had 0" horizontal absolute position to the right of column and -0.48" vertical absolute position below paragraph.
Comment 8 Xisco Faulí 2016-09-02 10:21:59 UTC
Issue introduced by

commit 049e84125fb76f7a1a051d7cac2e04e37a7cd190
Author:     Sushil Shinde <sushilshinde@libreoffice.org>
AuthorDate: Mon Apr 20 00:45:06 2015 +0530
Commit:     Caolán McNamara <caolanm@redhat.com>
CommitDate: Thu Apr 30 08:32:11 2015 +0000

Adding Sushi and Caolan as CC.
Comment 9 QA Administrators 2017-12-10 16:39:52 UTC Comment hidden (obsolete)
Comment 10 Timur 2018-02-20 11:47:49 UTC
Repro in 6.1+ but only with original 2007 DOCX. Same file saved in MSO 2013 wraps right.
Looks like an issue "position that's relative to column in Word" as in Bug 35334.
Comment 11 QA Administrators 2019-10-11 02:35:52 UTC
Dear Yousuf Philips (jay) (retired),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug